#include <stdio.h>
#include <stdlib.h>

struct intlist {
    int dato;
    struct intlist *next;
};

void printlist(struct intlist *p)
{
	struct intlist *q;
	
	for(q = p; q; q = q->next) {
		printf("\t-------\n\t|%5d|\n\t-------\n\t|  %c  |\n\t---%c---\n\t",
			q->dato, q->next ? '.' : 'X', q->next ? '|' : '-');
		if(q->next)
			printf("   |   \n\t   V\n");
	}
}

int main(void)
{
	struct intlist *root = NULL; /* root punta a una lista vuota */

	root = malloc(sizeof(struct intlist));
	root->dato = 1;
	root->next = malloc(sizeof(struct intlist));
	root->next->dato = 2;
	root->next->next = NULL;
	printlist(root);
}
