#include <stdio.h>
#include <stdlib.h>
#include "inttree.h"

void printtree(inttree *p);

void stampanodo(inttree *q)
{
	printf("[%2d]",q->dato);
}

int main(void)
{
	inttree *root = NULL;

	root = malloc(sizeof(inttree));
	root->dato = 5;
	root->left = malloc(sizeof(inttree));
	root->right = malloc(sizeof(inttree));
	root->left->dato = 7;
	root->right->dato = 9;
	root->left->left = root->right->left = root->right->right = NULL;
	root->left->right = malloc(sizeof(inttree));
	root->left->right->dato = 11;
	root->left->right->left = root->left->right->right = NULL;

	printtree(root);

	printf("\nInorder:");
	inorder(root,stampanodo);
	printf("\nPreorder:");
	preorder(root,stampanodo);
	printf("\nPostorder:");
	postorder(root,stampanodo);
}

